[
  {
    blockid=roles;
    custom=com.netscape.management.msgserv.folders.acl.FRolesControl;
    localvar=
    {
      .rolename.header="\u30ed\u30fc\u30eb";
      .rights.header="\u6a29\u9650";

      .add.title="\u30a2\u30af\u30bb\u30b9\u30ed\u30fc\u30eb\u306e\u8ffd\u52a0";
      .edit.title="\u30a2\u30af\u30bb\u30b9\u30ed\u30fc\u30eb\u306e\u7de8\u96c6";
    };

    content=
    [
      { /* roles table */
        ctrl=table;
        id=rolestable;
        stdtable=false;
        showedit=true;
        buttonsat=east;
        addtitle=$.add.title;
        edittitle=$.edit.title;
        addui=accessrole;
        addtext=$g.addbutton.text;
        edittext=$g.editbutton.text;
        deltext=$g.deletebutton.text;
        editui=accessrole;
        val=$service.nntp.content.aclroles.nsvalue;
        visiblerows=10;
        columns=
        [
          {
            header=$.rolename.header;
            varname=rolename;
          },
          {
            header=$.rights.header;
            varname=rights;
          }
        ];
      } /* roles table */

    ];
  },

  { /* access role add/edit ui */
    blockid=accessrole;
    localvar=
    {
      .label.size=80;

      .rolename.text="\u30ed\u30fc\u30eb\u540d:";

      .rights.border=[titled, "\u6a29\u9650"];
      .rights.view="Discussion \u30b0\u30eb\u30fc\u30d7\u306e\u8868\u793a";
      .rights.read="\u30a2\u30fc\u30c6\u30a3\u30af\u30eb\u306e\u8aad\u307f\u8fbc\u307f";
      .rights.post="\u6295\u7a3f";
      .rights.cancel="\u53d6\u6d88\u3057";
      .rights.cancelany="\u3059\u3079\u3066\u53d6\u6d88\u3057";
      .rights.moderate="\u30e2\u30c7\u30ec\u30fc\u30c8";
      .rights.newgroup="\u65b0\u898f\u30b0\u30eb\u30fc\u30d7";
      .rights.admin="\u7ba1\u7406\u8005";
    };

    content=
    [

      { /* role name */
        ctrl=pane;
        layout=[xbox];
        content=
        [ /* role name contents */

          { /* label */
            ctrl=label;
            wrap=$.label.size;
            text=$.rolename.text;
            id=rolename;
            aligny=0.5;
          }, /* label */

          { /* comp space */
            ctrl=rigid;
          }, /* comp space */

          { /* textfield */
            ctrl=text;
            label=rolename;
            aligny=0.5;
            val=$rolename;
          } /* textfield */

        ]; /* role name contents */
      }, /* role name */

      { /* comp space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* comp space */

      { /* rights */
        ctrl=pane;
        layout=[ybox];
        border=$.rights.border;
        content=
        [ /* rights contents */

          { /* view */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.view;
            val=$view;
          }, /* view */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* read */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.read;
            val=$read;
          }, /* read */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* post */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.post;
            val=$post;
          }, /* post */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* cancel */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.cancel;
            val=$cancel;
          }, /* cancel */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* cancelany */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.cancelany;
            val=$cancelany;
          }, /* cancelany */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* moderate */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.moderate;
            val=$moderate;
          }, /* moderate */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* newgroup */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.newgroup;
            val=$newgroup;
          }, /* newgroup */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* admin */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.admin;
            val=$admin;
          } /* admin */

        ]; /* rights contents */
      } /* rights */

    ];
  } /* access role add/edit ui */

]


